import { _decorator, Component, Node, Size, Sprite, SpriteFrame, UITransform } from 'cc';
import { ui_att_item } from '../../../data/data';
import { gameManager } from '../gameManager';
const { ccclass, property } = _decorator;

@ccclass('ui_input_box_number_item')
export class ui_input_box_number_item extends Component {
    private mData:ui_att_item = null;
    private mInputNumber:string = "0";
    public initView(sf:SpriteFrame,data:ui_att_item,input_number:string){
        this.mInputNumber = input_number;
        this.node.getComponent(UITransform).setContentSize(new Size(data.width,data.height))
        console.log("sf",sf,data)
        this.node.getComponent(Sprite).spriteFrame =  sf
    }

    public getInputNumber(){
        return this.mInputNumber;
    }
}


